Subject: Re: [PATCH] powerpc: Fix 44x Machine Check handling

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 17 Nov 2007 08:03:23 +1100

On Fri, 2007-11-16 at 08:58 -0600, Josh Boyer wrote:
> > 2) Please just move the machine check handlers out to individual
> ones
> > instead of using the generic one. That way you don't need runtime
> checks
> > between the two (they don't seem to share much of it as-is anyway).
> 
> Anton pinged me about cleaning that up a couple months ago.  I have a
> half-baked patch for it somewhere, but I agree having 4xx set a ppc_md
> specific handler would be a good idea.

No need. The 2 asm implementation can branch to 2 different C functions
and the IVOR will be set to the right one.

Ben.